Bug 215078 - math/qhull: update to 2015.2
Summary: math/qhull: update to 2015.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Stephen Montgomery-Smith
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-05 19:53 UTC by John Hein
Modified: 2016-12-12 02:48 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (stephen)


Attachments
[patch] update math/qhull to 2015.2 (8.62 KB, patch)
2016-12-05 19:53 UTC, John Hein
jcfyecrayz: maintainer-approval? (stephen)
Details | Diff
[patch] add missing LICENSE diff (1.21 KB, patch)
2016-12-08 17:31 UTC, John Hein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2016-12-05 19:53:43 UTC
Created attachment 177695 [details]
[patch] update math/qhull to 2015.2

- update portversion & plist - 2012.1 to 2015.2
- add LICENSE info
- install docs in DOCSDIR
- remove old patches
- add a workaround patch for 9.x base compiler

QA tests

 - portlint ok (no new reports)
 - stage-qa ok
 - poudriere ok (9-stable/i386 & 10-stable/amd64)
Comment 1 commit-hook freebsd_committer 2016-12-08 13:33:46 UTC
A commit references this bug:

Author: stephen
Date: Thu Dec  8 13:32:59 UTC 2016
New revision: 428116
URL: https://svnweb.freebsd.org/changeset/ports/428116

Log:
  qhull:
  - Update to 2015.2.
  - Install docs in DOCSDIR.
  - Add a workaround patch for 9.x base compiler.
  plplot:
  - Accomodate changes to qhull, including port revision bump.

  PR:		ports/215078
  Submitted by:	John Hein <z7dr6ut7gs@snkmail.com>

Changes:
  head/math/plplot/Makefile
  head/math/qhull/Makefile
  head/math/qhull/distinfo
  head/math/qhull/files/patch-CMakeLists.txt
  head/math/qhull/files/patch-src__libqhullcpp__QhullIterator.h
  head/math/qhull/files/patch-src__libqhullcpp__QhullLinkedList.h
  head/math/qhull/files/patch-src_libqhullcpp_QhullSet.h
  head/math/qhull/pkg-plist
Comment 2 Stephen Montgomery-Smith freebsd_committer 2016-12-08 13:34:39 UTC
Committed, thank you.

But I didn't see any changes to LICENSE.  Do you want to file another PR to fix this?
Comment 3 John Hein 2016-12-08 17:22:05 UTC
(In reply to Stephen Montgomery-Smith from comment #2)

Hmm... I guess my attachment didn't have that change.  Stay tuned here...


p.s. your commit message indicated a PORTREVISION bump for plplot, but I didn't see one in the commit.
Comment 4 John Hein 2016-12-08 17:31:37 UTC
Created attachment 177808 [details]
[patch] add missing LICENSE diff

Attached is the missing LICENSE stuff.  I must have added that after generating the original attachment.

Also I had tweaked some wording about the patch file (mainly adding a hint for the future that the patch can be removed after 9.x EOL).  Not necessary to commit that change.
Comment 5 John Hein 2016-12-09 20:19:53 UTC
Reopen due to missed LICENSE changes in original patch.  Sorry about that.
Comment 6 Stephen Montgomery-Smith freebsd_committer 2016-12-12 02:42:09 UTC
I fixed the lack of port revision bump to plplot in r428206.  My commit collided with someone else's commit.
Comment 7 commit-hook freebsd_committer 2016-12-12 02:47:29 UTC
A commit references this bug:

Author: stephen
Date: Mon Dec 12 02:46:24 UTC 2016
New revision: 428392
URL: https://svnweb.freebsd.org/changeset/ports/428392

Log:
  - Add LICENCE, and small modification to description of error in
    libqhullcpp_QhullSet.h.

  PR:		ports/215078
  Submitted by:	z7dr6ut7gs@snkmail.com

Changes:
  head/math/qhull/Makefile
  head/math/qhull/files/patch-src_libqhullcpp_QhullSet.h
Comment 8 Stephen Montgomery-Smith freebsd_committer 2016-12-12 02:48:20 UTC
New change committed.  Thank you.